package com.dk.mdm.service.ivt.outbound;

import com.dk.mdm.model.pojo.ivt.OutboundItem;
import com.dk.mdm.mapper.ivt.OutboundItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class OutboundItemService extends BaseService<OutboundItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<OutboundItem> getRepository() {
		return outboundItemMapper;
	}

	@Autowired
	private OutboundItemMapper outboundItemMapper;

}
